Package org.apache.struts2.text

# Class StrutsTextProviderFactory

java.lang.Object
org.apache.struts2.text.StrutsTextProviderFactory

All Implemented Interfaces:
  `TextProviderFactory`

public class StrutsTextProviderFactory extends Object implements TextProviderFactory
This factory enables users to provide and correctly initialize a custom TextProvider.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected TextProvider`
  `defaultTextProvider`
  `protected LocaleProviderFactory`
  `localeProviderFactory`
  `protected LocalizedTextProvider`
  `localizedTextProvider`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrutsTextProviderFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextProvider`
  `createInstance(Class<?> clazz)`
  `TextProvider`
  `createInstance(ResourceBundle bundle)`
  `protected TextProvider`
  `getTextProvider(Class clazz)`
  `protected TextProvider`
  `getTextProvider(ResourceBundle bundle)`
  `void`
  `setDefaultTextProvider(TextProvider defaultTextProvider)`
  `void`
  `setLocaleProviderFactory(LocaleProviderFactory localeProviderFactory)`
  `void`
  `setLocalizedTextProvider(LocalizedTextProvider localizedTextProvider)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### localeProviderFactory

    protected LocaleProviderFactory localeProviderFactory

  - ### localizedTextProvider

    protected LocalizedTextProvider localizedTextProvider

  - ### defaultTextProvider

    protected TextProvider defaultTextProvider

- ## Constructor Details

  - ### StrutsTextProviderFactory

    public StrutsTextProviderFactory()

- ## Method Details

  - ### setLocaleProviderFactory

    public void setLocaleProviderFactory(LocaleProviderFactory localeProviderFactory)

  - ### setLocalizedTextProvider

    public void setLocalizedTextProvider(LocalizedTextProvider localizedTextProvider)

  - ### setDefaultTextProvider

    public void setDefaultTextProvider(TextProvider defaultTextProvider)

  - ### createInstance

    public TextProvider createInstance(Class<?> clazz)
    Specified by:
      `createInstance` in interface `TextProviderFactory`

  - ### createInstance

    public TextProvider createInstance(ResourceBundle bundle)
    Specified by:
      `createInstance` in interface `TextProviderFactory`

  - ### getTextProvider

    protected TextProvider getTextProvider(Class clazz)

  - ### getTextProvider

    protected TextProvider getTextProvider(ResourceBundle bundle)